### Constructor

# GtkSource SearchContext new

#### Declaration [src]

    GtkSourceSearchContext*
    gtk_source_search_context_new (
      GtkSourceBuffer* buffer,
      GtkSourceSearchSettings* settings
    )

#### Description [src]

Creates a new search context, associated with `buffer`, and customized with `settings`.

If `settings` is `NULL`, a new `GtkSourceSearchSettings` object will be created, that you can retrieve with `gtk_source_search_context_get_settings()`.

#### Parameters

`buffer`

  Type: `GtkSourceBuffer`

  A `GtkSourceBuffer`.

  The data is owned by the caller of the function.

`settings`

  Type: `GtkSourceSearchSettings`

  A `GtkSourceSearchSettings`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkSourceSearchContext`

A new search context.

The caller of the function takes ownership of the data, and is responsible for freeing it.